Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Interface Delegateable

All Known Subinterfaces:
  AccessKeyable, Alignable, BackgroundImageable, Borderable, Heightable, Insetable, MouseCursorable, Positionable, Scrollable, Sizeable, ToolTipable, Widthable

All Known Implementing Classes:
  AbleComponent, BalloonHelp, ButtonEx, Calculator, CalculatorField, ColorChooser, ComboBox, ContainerEx, DateChooser, DateField, DefaultTabModel.TabButton, DisplayLayoutData, DropDown, EditableLabelEx, ExpandableSection, GroupBox, ImageIcon, ImageMap, LabelEx, ListSection, LiveTable, Menu, MenuBar, MenuButton, MenuItem, PopUp, ProgressBar, PushButton, RichTextArea, ScrollableDisplayLayoutData, Separator, Slider, Strut, TabbedPane, TemplatePanel, TitleBar, Tree

    public interface Delegateable

`Delegateable` is an interface where a something can act as a Delegate for a Component and hence get and set properties into the Component.

Method Summary
`java.lang.Object` | `getRenderProperty(java.lang.String propertyName)` Retutns the rendered value of a property.
`java.lang.Object` | `getRenderProperty(java.lang.String propertyName, java.lang.Object defaultValue)` Returns the rendered value of a property or a default value if its found to be null.

Method Detail

### getRenderProperty

    java.lang.Object getRenderProperty(java.lang.String propertyName)

  Retutns the rendered value of a property.

  Parameters:
    `propertyName` - - the named of as property as defined by this interface
  Returns:
    the rendered value of a property

### getRenderProperty

    java.lang.Object getRenderProperty(java.lang.String propertyName,
                                       java.lang.Object defaultValue)

  Returns the rendered value of a property or a default value if its found to be null.

  Parameters:
    `propertyName` - - the named of as property as defined by this interface
    `defaultValue` - - the default value if the property is null
  Returns:
    the rendered value of a property or a default value if its found to be null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD